



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Electron 创建一个空白的界面</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Electron 创建一个空白的界面</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 07:00:51 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>添加应用</h2>
<p>首先添加一个Lorikeet版本的Electron应用。</p>
<div>
<pre class="prettyprint linenums"> 'use strict'<br />
 const electron = require('electron');<br />
 const app = electron.app;<br />
 const BrowserWindow = electron.BrowserWindow;

 let mainWindow = null;

 app.on('window-all-closed', () =&gt; {<br />
     if (process.platform !== 'darwin') {<br />
         app.quit();<br />
     }<br />
 });

 app.on('ready', () =&gt; {<br />
     mainWindow = new BrowserWindow();<br />
     mainWindow.loadURL(`file://${app.getAppPath()}/index.html`);<br />
     mainWindow.on('closed', () =&gt; {<br />
         mainWindow = null;<br />
     });<br />
 });</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/685541/201810/685541-20181014230646974-1714786445.png" /></p>
<h2>菜单设置</h2>
<h3>1. 永久隐藏菜单</h3>
<div>
<div>const electronMenu=electron.Menu;</div>
<div>
<div>
<div>electronMenu.setApplicationMenu(null);</div>
<div>另：也可以直接设置mainWindow.setMenu(null);</div>
</div>
</div>
</div>
<div>
<div>
<pre class="prettyprint linenums"> 'use strict'<br />
 const electron = require('electron');<br />
 const app = electron.app;<br />
 const BrowserWindow = electron.BrowserWindow;<br />
 const electronMenu=electron.Menu;

 let mainWindow = null;

 app.on('window-all-closed', () =&gt; {<br />
     if (process.platform !== 'darwin') {<br />
         app.quit();<br />
     }<br />
 });

 app.on('ready', () =&gt; {<br />
     electronMenu.setApplicationMenu(null);<br />
     mainWindow = new BrowserWindow();<br />
     mainWindow.loadURL(`file://${app.getAppPath()}/index.html`);<br />
     mainWindow.on('closed', () =&gt; {<br />
         mainWindow = null;<br />
     });<br />
 });</pre>
</div>
</div>
<h3>2. 自动隐藏菜单</h3>
<div>
<div>设置BrowserWindow的属性，autoHideMenuBar： true。</div>
<div>设置autoHideMenuBar隐藏后，按Alt，可显示出菜单选项。</div>
<div>
<div>
<div>
<pre class="prettyprint linenums"> 'use strict'<br />
 const electron = require('electron');<br />
 const app = electron.app;<br />
 const BrowserWindow = electron.BrowserWindow;

 let mainWindow = null;

 app.on('window-all-closed', () =&gt; {<br />
     if (process.platform !== 'darwin') {<br />
         app.quit();<br />
     }<br />
 });

 app.on('ready', () =&gt; {<br />
     mainWindow = new BrowserWindow({autoHideMenuBar：true});<br />
     mainWindow.loadURL(`file://${app.getAppPath()}/index.html`);<br />
     mainWindow.on('closed', () =&gt; {<br />
         mainWindow = null;<br />
     });<br />
 });</pre>
</div>
</div>
<p>另：自定义菜单设置，可参考<a href="https://segmentfault.com/a/1190000008473121" rel="external nofollow noreferrer">https://segmentfault.com/a/1190000008473121</a></p>
</div>
<div>
<h2>窗口设置</h2>
</div>
</div>
<p>直接设置Window的属性</p>
<div>
<div>mainWindow = new BrowserWindow({width:600,height:400,icon: 'images/myIcon.ico'});</div>
<div>另：如果需要隐藏window的标题栏，可以设置frame:false;</div>
</div>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/685541/201810/685541-20181014232135661-1087472351.png" /></p>
<p>图上：<a href="https://files.cnblogs.com/files/kybs0/lorikeet-electron.zip" rel="external nofollow noreferrer">Demo</a></p>
<p>注：<a href="https://github.com/demopark/electron-api-demos-Zh_CN" rel="external nofollow noreferrer">GitHub官方文档与Demo: electron-api-demos-Zh_CN</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/1q2jvvw8.html">sweetAlert</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyvozjq.html">Java基础知识笔记（四：多线程基础及生命周期）</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7ldvk8.html">php 下载文件代码段</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9peo4k8.html">【原】flux学习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8z7xjn9.html">mac 升级vim</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwgejr8.html">eclipse Juno Indigo Helios Galileo 版本</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7rmoe8.html">&lbrack;MFC&rsqb; MFC音乐播放器 傻瓜级教程 网络 搜索歌曲 下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/96omye39.html">饶有兴致的用javascript做了个贪食蛇游戏</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde25dx9.html">HDU&lowbar;1238&mdash;&mdash;最大子串搜索</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1zj4e9.html">SQLSERVER 跨服 跨库</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yw0r08.html">C&sol;C&plus;&plus; 内存对齐</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkl7od8.html">고 보니&colon; 做完A发现新的事实B</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyoo5k9.html">使用Github Pages和Hexo构建博客</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpzpkzq.html">IOC容器的依赖注入</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o15o0eq.html">集腋成裘-03-css基础-02</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r51d6dq.html">服务端线程模型-NIO服务模型</a>
		</li>
						<li><a href="https://www.batexi.com/a/95glx7zq.html">Linux &excl;的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkj4518.html">Alpha阶段敏捷冲刺---Day3</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pp4rlk9.html">&lbrack;转&rsqb;SSRS&colon; Checking for Divide By Zero Using Custom Code</a>
		</li>
						<li><a href="https://www.batexi.com/a/93joyrr8.html">Java中的反射&lbrack;转载&rsqb;</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qnjpxm38.html">h5唤起APP并检查是否成功</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jp4kw8.html">Logstash导入数据到ElasticSearch</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdp72d0q.html">基础SQL语句用法</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpx7l69.html">在win10环境下搭建 solr 开发环境</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zkk7g9.html">ivew ui</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnjp7n38.html">RAID部署</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jpr4v8.html">Spring使用支付宝扫码支付</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpxwx79.html">Lock、ReentrantLock、ReentrantReadWriteLock区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zle4e9.html">Android OpenSL ES 开发：使用 OpenSL 播放 PCM 数据</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz5ykg8.html">&lbrack;Swift&rsqb;LeetCode120&period; 三角形最小路径和 &vert; Triangle</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
